"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.config = void 0;
var _lodash = _interopRequireDefault(require("lodash"));
var _logger = require("./logger");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
class ElementsConfig {
  constructor() {
    this.variables = {};
  }

  /**
   * Gets a specific configuration item.
   * @param name the name of the configuration items
   * @returns the value of the configuration item
   */
  get(name) {
    return this.variables[name];
  }

  /**
   * Initialize with a configuration.
   * @param config - configuration key/value pairs
   */
  init(config) {
    _lodash.default.assign(this.variables, config);
    // @ts-ignore
    (0, _logger.init)(config.userId);
  }

  /**
   * Set a configuration item.
   * @param config - configuration key/value pairs
   */
  set(config) {
    _lodash.default.merge(this.variables, config);
  }
}
const config = exports.config = new ElementsConfig();
//# sourceMappingURL=ElementsConfig.js.map