"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.log = exports.init = void 0;
Object.defineProperty(exports, "logContent", {
  enumerable: true,
  get: function () {
    return _sessionLog.content;
  }
});
Object.defineProperty(exports, "logToString", {
  enumerable: true,
  get: function () {
    return _sessionLog.toString;
  }
});
var _sessionLog = require("./sessionLog");
var _sentryLog = require("./sentryLog");
var _reactNativeLogs = require("react-native-logs");
const init = userId => {
  (0, _sentryLog.init)(userId);
};
exports.init = init;
const _log = _reactNativeLogs.logger.createLogger({
  levels: {
    debug: 0,
    info: 1,
    warn: 2,
    error: 3,
    fatal: 4,
    sessonDebug: 5,
    sessionInfo: 6,
    sessionWarn: 7,
    sessionError: 8,
    sessionFatal: 9
  },
  printDate: false,
  printLevel: false,
  transport: [_sentryLog.sentryTransport, _sessionLog.sessionTransport]
});
_log.sessionInfo(_sessionLog.header);

// Typescript won't allow the exporting of a class that contains private or protected functions.
// "Property of exported class expression may not be private or protected.ts(4094)"
// This log object provides some indirection to be able to export necessary functions.
const log = exports.log = {
  debug: _log.debug,
  info: _log.info,
  warn: _log.warn,
  error: _log.error,
  fatal: _log.fatal,
  sessonDebug: _log.debug,
  sessionInfo: _log.info,
  sessionWarn: _log.warn,
  sessionError: _log.error,
  sessionFatal: _log.fatal
};
//# sourceMappingURL=index.js.map