"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sentryTransport = exports.init = void 0;
var Sentry = _interopRequireWildcard(require("@sentry/react-native"));
var _reactNativeDeviceInfo = require("react-native-device-info");
var _ = require("..");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && Object.prototype.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
var SentrySeverityMap = /*#__PURE__*/function (SentrySeverityMap) {
  SentrySeverityMap[SentrySeverityMap["debug"] = 0] = "debug";
  SentrySeverityMap[SentrySeverityMap["info"] = 1] = "info";
  SentrySeverityMap[SentrySeverityMap["warning"] = 2] = "warning";
  SentrySeverityMap[SentrySeverityMap["error"] = 3] = "error";
  SentrySeverityMap[SentrySeverityMap["fatal"] = 4] = "fatal";
  return SentrySeverityMap;
}(SentrySeverityMap || {});
const init = userId => {
  if (!__DEV__ && Sentry.init) {
    Sentry.init({
      dsn: _.AJPElements.get('sentryEndpoint'),
      environment: _.AJPElements.get('buildEnvironment'),
      debug: false,
      enableAutoSessionTracking: true,
      release: (0, _reactNativeDeviceInfo.getVersion)(),
      dist: (0, _reactNativeDeviceInfo.getBuildNumber)()
    });
    userId && Sentry.setUser({
      id: userId
    });
  }
};
exports.init = init;
const sentryTransport = props => {
  var _props$level, _props$level2;
  if (props.level.text.includes('session')) {
    return;
  }
  const severity = (props === null || props === void 0 || (_props$level = props.level) === null || _props$level === void 0 ? void 0 : _props$level.severity) === undefined ? SentrySeverityMap.error : props === null || props === void 0 || (_props$level2 = props.level) === null || _props$level2 === void 0 ? void 0 : _props$level2.severity;
  const sentrySeverity = SentrySeverityMap[severity];
  if (__DEV__) {
    let consoleLogger = console.log;
    switch (SentrySeverityMap[severity]) {
      case 'warning':
        consoleLogger = console.warn;
        break;
      case 'error':
        consoleLogger = console.error;
        break;
      default:
        break;
    }
    consoleLogger(props === null || props === void 0 ? void 0 : props.msg);
  } else {
    // console.log(`SENTRY: [${sentrySeverity}] ${props?.msg}`);
    if (_.AJPElements.get('sentryLoggingEnabled') === true && severity > SentrySeverityMap.info) {
      Sentry.withScope(scope => {
        scope.setLevel(sentrySeverity);
        Sentry.captureMessage(props === null || props === void 0 ? void 0 : props.msg);
      });
    }
  }
  return true;
};
exports.sentryTransport = sentryTransport;
//# sourceMappingURL=sentryLog.js.map